Package ghidra.util.datastruct

# Class LongArrayList

java.lang.Object
ghidra.util.datastruct.LongArrayList

All Implemented Interfaces:
  `Iterable<Long>`, `Collection<Long>`, `List<Long>`

public class LongArrayList extends Object implements List<Long>
An ArrayList for longs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MIN_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongArrayList()`
  Creates a new LongArrayList
  `LongArrayList(long[] arr)`
  Creates a new Long ArrayList using the values in the given array
  `LongArrayList(LongArrayList list)`
  Creates a new LongArrayList that is equivalent to the specified LongArrayList.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, long value)`
  `void`
  `add(int index, Long value)`
  `void`
  `add(long value)`
  `boolean`
  `add(Long value)`
  `boolean`
  `addAll(int index, Collection<? extends Long> c)`
  `boolean`
  `addAll(Collection<? extends Long> c)`
  `void`
  `clear()`
  `boolean`
  `contains(Object value)`
  `boolean`
  `containsAll(Collection<?> c)`
  `Long`
  `get(int index)`
  `long`
  `getLongValue(int index)`
  `int`
  `indexOf(Object value)`
  `boolean`
  `isEmpty()`
  `Iterator<Long>`
  `iterator()`
  `int`
  `lastIndexOf(Object value)`
  `ListIterator<Long>`
  `listIterator()`
  `ListIterator<Long>`
  `listIterator(int index)`
  `Long`
  `remove(int index)`
  `boolean`
  `remove(Object value)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `void`
  `reverse()`
  `Long`
  `set(int index, Long value)`
  `int`
  `size()`
  `List<Long>`
  `subList(int startIndex, int endIndex)`
  `Long[]`
  `toArray()`
  `Long[]`
  `toArray(Long[] a)`
  `<T> T[]`
  `toArray(T[] a)`
  `long[]`
  `toLongArray()`
  `long[]`
  `toLongArray(int start, int length)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort, spliterator`

- ## Field Details

  - ### MIN_SIZE

    public static final int MIN_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LongArrayList

    public LongArrayList()
    Creates a new LongArrayList

  - ### LongArrayList

    public LongArrayList(long[] arr)
    Creates a new Long ArrayList using the values in the given array
    Parameters:
      `arr` - array of longs to initialize to.

  - ### LongArrayList

    public LongArrayList(LongArrayList list)
    Creates a new LongArrayList that is equivalent to the specified LongArrayList. It creates a copy of the specified list.
    Parameters:
      `list` - the list to be copied.

- ## Method Details

  - ### add

    public void add(long value)

  - ### add

    public boolean add(Long value)
    Specified by:
      `add` in interface `Collection<Long>`
    Specified by:
      `add` in interface `List<Long>`
    See Also:
      - `List.add(java.lang.Object)`

  - ### add

    public void add(int index, Long value)
    Specified by:
      `add` in interface `List<Long>`
    See Also:
      - `List.add(int, java.lang.Object)`

  - ### add

    public void add(int index, long value)

  - ### remove

    public Long remove(int index)
    Specified by:
      `remove` in interface `List<Long>`

  - ### get

    public Long get(int index)
    Specified by:
      `get` in interface `List<Long>`
    See Also:
      - `List.get(int)`

  - ### getLongValue

    public long getLongValue(int index)

  - ### set

    public Long set(int index, Long value)
    Specified by:
      `set` in interface `List<Long>`
    See Also:
      - `LongArrayList.LongArraySubList.set(int, long)`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<Long>`
    Specified by:
      `clear` in interface `List<Long>`
    See Also:
      - `List.clear()`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<Long>`
    Specified by:
      `size` in interface `List<Long>`
    See Also:
      - `List.size()`

  - ### toArray

    public Long[] toArray()
    Specified by:
      `toArray` in interface `Collection<Long>`
    Specified by:
      `toArray` in interface `List<Long>`
    See Also:
      - `List.toArray()`

  - ### toLongArray

    public long[] toLongArray()

  - ### toLongArray

    public long[] toLongArray(int start, int length)

  - ### reverse

    public void reverse()

  - ### remove

    public boolean remove(Object value)
    Specified by:
      `remove` in interface `Collection<Long>`
    Specified by:
      `remove` in interface `List<Long>`

  - ### indexOf

    public int indexOf(Object value)
    Specified by:
      `indexOf` in interface `List<Long>`

  - ### subList

    public List<Long> subList(int startIndex, int endIndex)
    Specified by:
      `subList` in interface `List<Long>`

  - ### addAll

    public boolean addAll(Collection<? extends Long> c)
    Specified by:
      `addAll` in interface `Collection<Long>`
    Specified by:
      `addAll` in interface `List<Long>`

  - ### addAll

    public boolean addAll(int index, Collection<? extends Long> c)
    Specified by:
      `addAll` in interface `List<Long>`

  - ### contains

    public boolean contains(Object value)
    Specified by:
      `contains` in interface `Collection<Long>`
    Specified by:
      `contains` in interface `List<Long>`

  - ### containsAll

    public boolean containsAll(Collection<?> c)
    Specified by:
      `containsAll` in interface `Collection<Long>`
    Specified by:
      `containsAll` in interface `List<Long>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<Long>`
    Specified by:
      `isEmpty` in interface `List<Long>`

  - ### iterator

    public Iterator<Long> iterator()
    Specified by:
      `iterator` in interface `Collection<Long>`
    Specified by:
      `iterator` in interface `Iterable<Long>`
    Specified by:
      `iterator` in interface `List<Long>`

  - ### lastIndexOf

    public int lastIndexOf(Object value)
    Specified by:
      `lastIndexOf` in interface `List<Long>`

  - ### listIterator

    public ListIterator<Long> listIterator()
    Specified by:
      `listIterator` in interface `List<Long>`

  - ### listIterator

    public ListIterator<Long> listIterator(int index)
    Specified by:
      `listIterator` in interface `List<Long>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<Long>`
    Specified by:
      `removeAll` in interface `List<Long>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<Long>`
    Specified by:
      `retainAll` in interface `List<Long>`

  - ### toArray

    public <T> T[] toArray(T[] a)
    Specified by:
      `toArray` in interface `Collection<Long>`
    Specified by:
      `toArray` in interface `List<Long>`

  - ### toArray

    public Long[] toArray(Long[] a)